
.bae-month-indicator {
  padding: 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 15px;
}

.bae-month-indicator h4 {
  cursor: pointer;
}

.bae-month-indicator h4:hover {
  transform: scale(1.05);
}

.bae-weekday-indicators {
  display: grid;
  grid-template-columns: repeat(7, minmax(auto, 1fr));
  grid-template-rows: 1;
  padding: 15px;
}

.weekday-indicator-icon {
  height: 25px;
  width: 25px;
  display: flex;
  justify-self: center;
  justify-content: center;
  align-items: center;
  padding: 5px;
  font-weight: bold;
  cursor: pointer;
}

.weekday-indicator-icon.active {
  border-radius: 50%;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
}

.bae-date-indicator {
  display: grid;
  grid-template-columns: repeat(7, minmax(auto, 1fr));
  grid-template-rows: repeat(6, minmax(35px, 1fr));
  margin: 0 15px;
  border-right: 1px solid #ccc;
}

.date-icon-wapper {
  min-height: 200px;
  max-height: 200px;
  border: 1px solid #ccc;
  border-bottom: none;
  border-right: none;
}
.date-icon {
  display: flex;
  justify-content: center;
  justify-self: center;
  align-items: center;
  height: 25px;
  width: 25px;
  padding: 5px;
  cursor: pointer;
  margin: 10px auto;
}

.date-icon[data-active-month='false'] {
  color: rgba(0, 0, 0, 0.3);
}

.date-icon.active,
.date-icon.selected {
  border-radius: 50%;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
}

.bae-calendar-header {
  color: #0393cc;
  align-items: center;
  padding: 15px;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
  display: flex;
  justify-content: space-between;
}

.month-job-detail {
  margin: 0px 5px;
  background-color: #fff;
  display: flex;
  border-top: 5px solid #a8cf59;
}

.full-infor-job {
  /* display: none; */
  position: absolute;
  min-width: 300px;
  min-height: 200px;
  max-width: 300px;
  z-index: 10000;
  display: flex;
  flex-direction: column;
}

.box-avatar-plumber {
  border-bottom: 1px solid #eaeaea;
  margin-bottom: 6px;
}

.avatar-plumber {
  width: 80px;
  height: 80px;
  border-radius: 8px;
}

.info-job-detail {
  display: flex;
  flex-direction: column;
  gap: 6px;
  margin-bottom: 6px;
}

.tooltip-container {
  position: relative;
  display: block;
}

.full-infor-job {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  background-color: #333;
  color: #fff;
  padding: 5px;
  border-radius: 4px;
  display: none;
  animation: fullInfor 2s;
}

.group-jobs-container {
  position: relative;
}

.month-job-detail:hover .full-infor-job {
  display: block;
}

.show-more-job {
  background-color: #f6f6f6;
  border: 2px solid #e3e3e4;
  width: 250px;
  position: absolute;
  border-radius: 10px;
  padding: 10px;
  box-shadow: 0px 4px 4px #8C8C8C;
  z-index: 10000;
  top: 4px;
  left: -65px;
}

.button-close-show-more {
  width: 30px;
  height: 30px;
  padding: 0;
  position: absolute;
  top: -15px;
  right: 0;
  border: none;
  border-radius: 50%;
  transform: translate(50%);
}

.button-show-more {
  color: #1388DC;
  font-size: 16px;
  display: flex;
  justify-content: space-between;
  margin-top: 8px
}

.button-show-more svg {
  width: 18px;
  height: 18px;
}

.button-close-show-more svg {
  width: 30px;
  height: 30px;
}

.button-close-show-more svg:hover, .button-show-more:hover {
  cursor: pointer;
}

@keyframes fullInfor {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}